<?php

namespace App\Framework\Cache;

interface CacheDriver
{
    public function get(string $key): CacheItem;
    public function set(string $key, string $value, ?int $ttl = null): bool;
    public function has(string $key): bool;
    public function forget(string $key): bool;
    public function clear(): bool;
}
